<?php include('fncr-geral/configuracao_geral.php');
$pagina = "mybd";
//if($usuario_id!=0 && $host_bd != "localhost"){header("Location: clubes-ativos.php");  exit;}
$blq_pag = "funcoes_bigdata";
include('fncr-geral/permissoes_restricao.php');
set_time_limit(300); // 300 segundos (5 minutos)


// **************** SELECTS PRINCIPAL ****************


// CONEXÕES
if(isset($_POST['gerar'])) {

  $sql = $bd->getConexao()->prepare('
  SELECT
    c.*,
    cf.bd,
    cc.plano_sistema,
    cc.plano_nivel
  FROM clubes_configuracao cf
    LEFT JOIN clubes c on c.id = cf.id_clube
    LEFT JOIN clubes_configuracao cc ON cc.id_clube = c.id
  WHERE
    cf.link_sistema is not null AND cf.bd is not null AND
    cf.link_sistema != "" AND cf.bd != "" AND
    c.interno = 0 AND
    cc.pais_id in(0,1)
  ORDER BY status DESC, nome ASC');
  if($sql->execute()){$resul_clubes = $sql->fetchall(PDO::FETCH_ASSOC);}

  /*
  $sql = $bd->getConexao()->prepare('
  SELECT
    c.*,
    cf.bd,
    cc.plano_sistema,
    cc.plano_nivel
  FROM clubes_configuracao cf
    LEFT JOIN clubes c on c.id = cf.id_clube
    LEFT JOIN clubes_configuracao cc ON cc.id_clube = c.id
  WHERE
    cf.link_sistema is not null AND cf.bd is not null AND
    cf.link_sistema != "" AND cf.bd != ""
  ORDER BY status DESC, nome ASC');
  if($sql->execute()){$resul_clubes = $sql->fetchall(PDO::FETCH_ASSOC);}
  */

}


/* // INCLUIR VALOR DE TAXA DE CONVENIENCIA NOS REGISTROS RECEBIDOS VIA PIX
$sql = $bd->getConexao()->prepare('
  SELECT reg.id, pgt.valor
  FROM fingeral_registros reg
    LEFT JOIN api_gameid.pix_registros pixr ON pixr.txid = reg.documento
    LEFT JOIN api_gameid.jogadores_vendas_pgtos pgt ON pgt.id_venda = pixr.gameid_id_venda AND pgt.id_forma_pgto = 0 AND pgt.id_ref = 5 AND pgt.valor > 0
  WHERE reg.documento LIKE "cb%" AND pgt.id is not null
  ORDER BY reg.id');
if($sql->execute()){$registros = $sql->fetchall(PDO::FETCH_ASSOC);}

$update = array();
foreach ($registros as $l){
  $update[] = '("'.$l['id'].'","'.$l['valor'].'")';
}
if(count($update)>0){
  $sql = $bd->getConexao()->prepare('INSERT INTO fingeral_registros
  (id, gid_taxa_conv) VALUES '.implode(',', $update).' ON DUPLICATE KEY UPDATE gid_taxa_conv = VALUES(gid_taxa_conv)');
  if ($sql->execute()) ;
}
*/


// **************** AÇÕES GERAR ****************

// CLUBES
if(isset($_POST['gerar']) && $_POST['gerar'] == 'jogadores_estatisticas'){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){

      $bdclube = new ConeccaoClube($c['bd']);
      $bdclube->getConexao()->exec("set names utf8");

      $sql = $bdclube->getConexao()->prepare('
      SELECT count(DISTINCT r.id) as total
      FROM jogadores_estatisticas r');
      if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

      $regs[$c['nome']] = $resul['total'];
    }
  }
  */
}

// CADASTROS DE JOGADORES
if(isset($_POST['gerar']) && $_POST['gerar'] == 'ev_impostos' ){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){
      $total=0;
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        $sql = $bdclube->getConexao()->prepare('
          SELECT count(DISTINCT r.id) as total
          FROM eventos_imposto r');
        if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

        $total = $resul['total'];
      }catch(Exception $e){}
    }
    if($total>0){$regs[$c['nome']] = $total;}
  }
  */
}

// LOCALIZAR JOGADOR
if(isset($_POST['gerar']) && $_POST['gerar'] == 'jogador_localizar' ){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){
      try {
        if($c['bd']!="" && $c['bd']!="pw_v2pokerclub2"){
          echoPre($c['bd']);
          $bdclube = new ConeccaoClube($c['bd']);
          //$bdclube->getConexao()->exec("set names utf8");

          $sql = $bdclube->getConexao()->prepare('SELECT * FROM clientes c WHERE locate("marcelo",c.nome) AND locate("firmino",c.nome)');
          if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

          if(count($resul)>0){
            $regs[$c['nome']] = $resul;
          }
        }
      }catch(Exception $e){}
    }
  }
  echoPre($regs);
  */
}

// LOCALIZAR JOGADOR
if(isset($_POST['gerar']) && $_POST['gerar'] == 'torneio_nome' ){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        $sql = $bdclube->getConexao()->prepare('SELECT * FROM torneios t WHERE locate("x1",t.nome) OR locate("neymar",t.nome)');
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

        if(count($resul)>0){
          $regs[$c['nome']] = $resul;
        }
      }catch(Exception $e){}
    }
  }
  echoPre($regs);
  */
}

// NÚMEROS PARA ANUNCIOS
if(isset($_POST['gerar']) && $_POST['gerar'] == 'total_jogs_torneios'){
  /*
  $regs = array();
  for($i=1;$i<=8;$i++){
    $regs[$i]=array(
      "jogadores"=>0,
      "torneios"=>0,
      "clubes"=>0,
      "qtd_intervalo"=>0,
      "total_horas"=>0
    );
  }
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){

      if(!in_array($c['id'], array(445,200,479,71,213,170,118))){
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        // Qtd de jogadores por cada torneio
        $sql = $bdclube->getConexao()->prepare('
        SELECT
          MONTH(t.data_hora_abertura) as mes,
          count(DISTINCT j.id) as jogadores_torneios,
          count(DISTINCT j.id_torneio) as torneios
        FROM torneios_mesas_jogadores j
          LEFT JOIN torneios t ON t.id = j.id_torneio
        WHERE j.id_jogador>0 AND t.data_hora_abertura BETWEEN ("2022-01-01") AND ("2022-08-31")
        GROUP BY MONTH(t.data_hora_abertura)');
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

        foreach($resul as $r){
          $regs[$r['mes']]['jogadores'] += $r['jogadores_torneios'];
          $regs[$r['mes']]['torneios'] += $r['torneios'];
          $regs[$r['mes']]['clubes'] ++;
        }

        // Qtd de intervalos
        $sql = $bdclube->getConexao()->prepare('
        SELECT
          MONTH(t.data_hora_abertura) as mes,
          sum(n.break) as qtd_intervalo
        FROM torneios_niveis n
          LEFT JOIN torneios t ON t.id = n.id_torneio
        WHERE t.data_hora_abertura BETWEEN ("2022-01-01") AND ("2022-08-31")
        GROUP BY MONTH(t.data_hora_abertura)');
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

        foreach($resul as $r){
          $regs[$r['mes']]['qtd_intervalo'] += $r['qtd_intervalo'];
        }

        // Qtd de intervalos
        $sql = $bdclube->getConexao()->prepare('
        SELECT
          MONTH(t.data_hora_abertura) as mes,
          sum(CASE
            WHEN p.horario_confirmado AND p.horario_confirmado>l.hora_inicio
              THEN TIMESTAMPDIFF(HOUR, l.hora_inicio, p.horario_confirmado)
              ELSE 10 END) total_horas
        FROM torneios t
          LEFT JOIN torneios_layout l ON l.id_torneio = t.id
          LEFT JOIN torneios_premiacoes p ON p.id_torneio = t.id AND p.posicao_paga = 1
        WHERE t.data_hora_abertura BETWEEN ("2022-01-01") AND ("2022-08-31") AND l.hora_inicio
        GROUP BY MONTH(t.data_hora_abertura)');
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

        foreach($resul as $r){
          $regs[$r['mes']]['total_horas'] += $r['total_horas'];
        }
      }



    }
  }
  echoPre($regs);
  */
}

// INTERVALOS COM VIDEO
if(isset($_POST['gerar']) && $_POST['gerar'] == 'videos_intervalos'){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){

      $bdclube = new ConeccaoClube($c['bd']);
      $bdclube->getConexao()->exec("set names utf8");

      $sql = $bdclube->getConexao()->prepare('
      SELECT n.link_youtube
      FROM torneios_niveis n
      WHERE n.break = 1 AND n.link_youtube is not null
      ORDER BY n.id DESC
      LIMIT 10');
      if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

      foreach ($resul as $r){
        if(substr($r['link_youtube'], 0, 4)=="http"){
          $regs[$c['nome']] = $r['link_youtube'];
        }
      }
    }
  }
  echoPre($regs);
  */
}

// CLUBES QUE TAMBÉM FAZ EVENTOS
if(isset($_POST['gerar']) && $_POST['gerar'] == 'clubes_com_eventos'){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){

      $bdclube = new ConeccaoClube($c['bd']);
      $bdclube->getConexao()->exec("set names utf8");

      try{

        $sql = $bdclube->getConexao()->prepare('
        SELECT "cash" as tipo, count(DISTINCT id) as qtd FROM cash
        UNION
        SELECT "torneio" as tipo, count(DISTINCT id) as qtd FROM torneios WHERE id_evento = 0
        UNION
        SELECT "torneio_ev" as tipo, count(DISTINCT id) as qtd FROM torneios WHERE id_evento >0
        UNION
        SELECT "eventos" as tipo, count(DISTINCT id) as qtd FROM eventos');
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

        $cash=0;
        $torneio=0;
        $torneio_ev=0;
        $eventos=0;

        foreach($resul as $r){
          if($r['tipo']=="cash"){$cash=$r['qtd'];}
          if($r['tipo']=="torneio"){$torneio=$r['qtd'];}
          if($r['tipo']=="torneio_ev"){$torneio_ev=$r['qtd'];}
          if($r['tipo']=="eventos"){$eventos=$r['qtd'];}
        }

        if(($cash>0 || $torneio>0) && ($torneio_ev>0 || $eventos>0)){
          $regs[$c['nome']] = array(
            "status"=>$c['status'],
            "cash"=>$cash,
            "torneio"=>$torneio,
            "torneio_ev"=>$torneio_ev,
            "eventos"=>$eventos,
          );
        }
      }catch(PDOException $e){
        //echo $l['id_clube'].'/'.$l['link_sistema'].'/ ERRO: '.$e->getMessage();
      }
    }
  }
  echoPre($regs);
  */
}

// TOTAL DE CARTÃO DE CRÉDITO
if(isset($_POST['gerar']) && $_POST['gerar'] == 'total_cartoes' ){
  /*
  $regs = array(
    "clubes"=>array(
      "credito"=>array("valor"=>0,"valor_taxa"=>0,"total"=>0),
      "debito"=>array("valor"=>0,"valor_taxa"=>0,"total"=>0),
      "pix"=>array("valor"=>0,"valor_taxa"=>0,"total"=>0)
    ),
    "eventos"=>array(
      "credito"=>array("valor"=>0,"valor_taxa"=>0,"total"=>0),
      "debito"=>array("valor"=>0,"valor_taxa"=>0,"total"=>0),
      "pix"=>array("valor"=>0,"valor_taxa"=>0,"total"=>0)
    ),
    "clubes_qtd"=>0,
    "eventos_qtd"=>0,
    "jogadores_qtd"=>0,
  );
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        if(in_array($c['plano_sistema'],[1,2]) && $c['plano_nivel']<=10){

          $index = $c['plano_sistema']==1 ? "clubes" : "eventos";
          $regs[$index.'_qtd']+=1;

          // JOGADORES
          $sql = $bdclube->getConexao()->prepare("
          SELECT
            count(*) as total
          FROM clientes WHERE excluido = 0");
          if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

          $regs['jogadores_qtd']+=$resul['total'];


          // CARTÃO DE CRÉDITO
          $sql = $bdclube->getConexao()->prepare("
          SELECT
            sum(regs.valor) as valor,
            sum(regs.valor_taxa) as valor_taxa,
            sum(regs.valor) + sum(regs.valor_taxa) as total
          FROM (
            SELECT
              sum(ifnull(pg.valor,0)) as valor,
              sum(ifnull(pg.valor_taxa,0)) as valor_taxa
            FROM torneios_pagamentos pg
            WHERE pg.id_forma_pgto in(
              SELECT id FROM fingeral_formas_pgto fp
              WHERE (fp.nome LIKE '%crédito%' OR fp.nome LIKE '%credito%' OR fp.nome LIKE '%cartão%' OR fp.nome LIKE '%cartao%' OR fp.nome LIKE '%visa%' OR fp.nome LIKE '%mastercard%') AND fp.nome NOT LIKE '%débito%' AND fp.nome NOT LIKE '%debito%'
            ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2023-01-01 00:00:00') AND ('2023-12-31 23:59:59')
            UNION ALL
            SELECT
              sum(ifnull(pg.valor,0)) as valor,
              sum(ifnull(pg.valor_taxa,0)) as valor_taxa
            FROM cash_pagamentos pg
            WHERE pg.id_forma_pgto in(
              SELECT id FROM fingeral_formas_pgto fp
              WHERE (fp.nome LIKE '%crédito%' OR fp.nome LIKE '%credito%' OR fp.nome LIKE '%cartão%' OR fp.nome LIKE '%cartao%' OR fp.nome LIKE '%visa%' OR fp.nome LIKE '%mastercard%') AND fp.nome NOT LIKE '%débito%' AND fp.nome NOT LIKE '%debito%'
            ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2023-01-01 00:00:00') AND ('2023-12-31 23:59:59')
          ) regs");
          if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

          $regs[$index]['credito']['valor'] += $resul['valor'];
          $regs[$index]['credito']['valor_taxa'] += $resul['valor_taxa'];
          $regs[$index]['credito']['total'] += $resul['total'];


          // CARTÃO DE DÉBITO
          $sql = $bdclube->getConexao()->prepare("
          SELECT
            sum(regs.valor) as valor,
            sum(regs.valor_taxa) as valor_taxa,
            sum(regs.valor) + sum(regs.valor_taxa) as total
          FROM (
            SELECT
              sum(ifnull(pg.valor,0)) as valor,
              sum(ifnull(pg.valor_taxa,0)) as valor_taxa
            FROM torneios_pagamentos pg
            WHERE pg.id_forma_pgto in(
              SELECT id FROM fingeral_formas_pgto fp
              WHERE (fp.nome LIKE '%débito%' OR fp.nome LIKE '%debito%' OR fp.nome LIKE '%cartão%' OR fp.nome LIKE '%cartao%' OR fp.nome LIKE '%visa%' OR fp.nome LIKE '%mastercard%') AND fp.nome NOT LIKE '%crédito%' AND fp.nome NOT LIKE '%credito%'
            ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2023-01-01 00:00:00') AND ('2023-12-31 23:59:59')
            UNION ALL
            SELECT
              sum(ifnull(pg.valor,0)) as valor,
              sum(ifnull(pg.valor_taxa,0)) as valor_taxa
            FROM cash_pagamentos pg
            WHERE pg.id_forma_pgto in(
              SELECT id FROM fingeral_formas_pgto fp
              WHERE (fp.nome LIKE '%débito%' OR fp.nome LIKE '%debito%' OR fp.nome LIKE '%cartão%' OR fp.nome LIKE '%cartao%' OR fp.nome LIKE '%visa%' OR fp.nome LIKE '%mastercard%') AND fp.nome NOT LIKE '%crédito%' AND fp.nome NOT LIKE '%credito%'
            ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2023-01-01 00:00:00') AND ('2023-12-31 23:59:59')
          ) regs");
          if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

          $regs[$index]['debito']['valor'] += $resul['valor'];
          $regs[$index]['debito']['valor_taxa'] += $resul['valor_taxa'];
          $regs[$index]['debito']['total'] += $resul['total'];


          // PIX
          $sql = $bdclube->getConexao()->prepare("
          SELECT
            sum(regs.valor) as valor,
            sum(regs.valor_taxa) as valor_taxa,
            sum(regs.valor) + sum(regs.valor_taxa) as total
          FROM (
            SELECT
              sum(ifnull(pg.valor,0)) as valor,
              sum(ifnull(pg.valor_taxa,0)) as valor_taxa
            FROM torneios_pagamentos pg
            WHERE pg.id_forma_pgto in(
              SELECT id FROM fingeral_formas_pgto fp
              WHERE (fp.nome LIKE '%pix%')
            ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2023-01-01 00:00:00') AND ('2023-12-31 23:59:59')
            UNION ALL
            SELECT
              sum(ifnull(pg.valor,0)) as valor,
              sum(ifnull(pg.valor_taxa,0)) as valor_taxa
            FROM cash_pagamentos pg
            WHERE pg.id_forma_pgto in(
              SELECT id FROM fingeral_formas_pgto fp
              WHERE (fp.nome LIKE '%pix%')
            ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2023-01-01 00:00:00') AND ('2023-12-31 23:59:59')
          ) regs");
          if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

          $regs[$index]['pix']['valor'] += $resul['valor'];
          $regs[$index]['pix']['valor_taxa'] += $resul['valor_taxa'];
          $regs[$index]['pix']['total'] += $resul['total'];
        }




      }catch(Exception $e){}
    }
  }
  echoPre($regs);
  */

  //echoPre('VALOR: '.echomoeda($regs['valor']));
  //echoPre('VALOR_TAXA: '.echomoeda($regs['valor_taxa']));
  //echoPre('TOTAL: '.echomoeda($regs['total']));
}

// TOTAL EM PIX
if(isset($_POST['gerar']) && $_POST['gerar'] == 'total_pix' ){
  /*
  $regs_pix = array(
    "clubes"=>[],
    "eventos"=>[],
  );
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        if(in_array($c['plano_sistema'],[1,2]) && $c['plano_nivel']<=10){

          $index = $c['plano_sistema']==1 ? "clubes" : "eventos";

          $regs_pix[$index][$c['id']] = [
            'nome'=>$c['nome'],
            'totais'=>['qtd'=>0, 'valor'=>0, 'taxa'=>0, 'total'=>0],
            'meses'=>[]
          ];

          // PIX
          $sql = $bdclube->getConexao()->prepare("
          SELECT
            regs.mes_ano,
            sum(regs.qtd) as qtd,
            sum(regs.valor) as valor,
            sum(regs.valor_taxa) as taxa,
            sum(regs.valor) + sum(regs.valor_taxa) as total
          FROM (
                 SELECT
                   'trn_pix' as tipo,
                   count(distinct pg.id) as qtd,
                   DATE_FORMAT(pg.data_hora, '%Y-%m') AS mes_ano,
                   sum(ifnull(pg.valor,0)) as valor,
                   sum(ifnull(pg.valor_taxa,0)) as valor_taxa
                 FROM torneios_pagamentos pg
                 WHERE pg.id_forma_pgto in(
                   SELECT id FROM fingeral_formas_pgto fp
                   WHERE (fp.nome LIKE '%pix%')
                 ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2025-01-01 00:00:00') AND ('2025-12-31 23:59:59')
                 GROUP BY  YEAR(pg.data_hora), MONTH(pg.data_hora)
                 UNION ALL
                 SELECT
                   'cash_pix' as tipo,
                   count(distinct pg.id) as qtd,
                   DATE_FORMAT(pg.data_hora, '%Y-%m') AS mes_ano,
                   sum(ifnull(pg.valor,0)) as valor,
                   sum(ifnull(pg.valor_taxa,0)) as valor_taxa
                 FROM cash_pagamentos pg
                 WHERE pg.id_forma_pgto in(
                   SELECT id FROM fingeral_formas_pgto fp
                   WHERE (fp.nome LIKE '%pix%')
                 ) AND pg.valor > 0 AND pg.data_hora BETWEEN ('2025-01-01 00:00:00') AND ('2025-12-31 23:59:59')
                 GROUP BY MONTH(pg.data_hora)
               ) regs
          GROUP BY regs.mes_ano
          ORDER BY regs.mes_ano");
          if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

          foreach($resul as $l){
            $regs_pix[$index][$c['id']]['meses'][$l['mes_ano']]=$l;
            $regs_pix[$index][$c['id']]['totais']['qtd']+=$l['qtd'];
            $regs_pix[$index][$c['id']]['totais']['valor']+=$l['valor'];
            $regs_pix[$index][$c['id']]['totais']['taxa']+=$l['taxa'];
            $regs_pix[$index][$c['id']]['totais']['total']+=$l['valor']+$l['taxa'];
          }

        }



      }catch(Exception $e){}
    }
  }
  */
  //echoPre($regs);

  //echoPre('VALOR: '.echomoeda($regs['valor']));
  //echoPre('VALOR_TAXA: '.echomoeda($regs['valor_taxa']));
  //echoPre('TOTAL: '.echomoeda($regs['total']));
}

// TORNEIOS COM FECHAMENTOS DUPLICADOS
if(isset($_POST['gerar']) && $_POST['gerar'] == 'torneios_fec_duplicados' ){
  /*
  $regs = [];
  foreach($resul_clubes as $c){
    if($c['redirecionar']==1){
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        $sql = $bdclube->getConexao()->prepare('
        SELECT regs.*
        FROM (
          SELECT
            log.modulo_id as torneio_id,
            count(DISTINCT log.id) as qtd
          FROM configs_logs log
          WHERE log.data_hora>"2023-12-04" AND log.modulo = 4 AND log.acao_id = 8 AND log.acao_desc = 1
          GROUP BY log.modulo_id
        ) regs
        WHERE regs.qtd > 1');
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}
        if(count($resul)>0){
          $regs[]=array(
            "clube"=>$c['nome'],
            "regs"=>$resul,
          );
        }
      }catch(Exception $e){}
    }
  }
  echoPre($regs);
  */
}

// CLUBES E SUAS MENSALIDADES
if(isset($_POST['gerar']) && $_POST['gerar'] == 'clubes_mensalidades' ){
  /*
  $sql = $bd->getConexao()->prepare('
  SELECT
    c.id,
    c.nome,
    c.cancelado,
    cf.periodo_mes,
    cf.periodo_ano,
    CASE WHEN cf.status = 4 THEN "X" ELSE "" END AS status
  FROM clubes c
  LEFT JOIN clubes_financeiro cf ON c.id = cf.id_clube
  WHERE c.id_representante = 0
  ORDER BY c.nome, cf.periodo_ano, cf.periodo_mes;');
  if($sql->execute()){$mensalidades = $sql->fetchall(PDO::FETCH_ASSOC);}

  $clubes_total = [];
  $clubes_mensalidades = [];
  foreach ($mensalidades as $row){
    if(!isset($clubes_total[$row['id']])){$clubes_total[$row['id']]=0;}
    $clubes_mensalidades[$row['id']][] = $row;
    if($row['status']=="X"){
      $clubes_total[$row['id']]++;
    }
  }
  */
}

// CLUBES ATIVOS E SUAS ATIVIDADES
if(isset($_POST['gerar']) && $_POST['gerar'] == 'clubes_ativos_atividades' ){
  /*
  $clubes_ativos_atividades = [];
  foreach($resul_clubes as $c){
    if($c['status']==2 && $c['id_representante']==3){
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        $sql = $bdclube->getConexao()->prepare('
        select
          (select count(*) from torneios) as torneios,
          (select count(*) from cash) as cash,
          (select count(*) from bar) as bar,
          (select count(*) from clientes) as jogadores,
          (select count(*) from clientes_registros WHERE tipo_relatorio like "%oedas%") as moedas_movim,
          (select count(*) from pw_0rep_japancenter.rep_tickets_nacionais_registros tk WHERE tk.clube_id = :clube_id ) as tickets_nacionais');
        $sql->bindValue(':clube_id', $c['id'], PDO::PARAM_STR);
        if($sql->execute()){$resul = $sql->fetch(PDO::FETCH_ASSOC);}

        $resul['clube_data'] = $c['data_cadastro'];
        $resul['clube_id'] = $c['id'];
        $resul['clube_nome'] = $c['nome'];
        $resul['clube_contato'] = $c['contato'];
        $resul['clube_email'] = $c['email'];
        $resul['clube_cel'] = $c['cel'];

        $clubes_ativos_atividades[] = $resul;
      }catch(Exception $e){}
    }
  }
  */
}

// USUÁRIOS SEM 2FA ATIVO
if(isset($_POST['gerar']) && $_POST['gerar'] == 'usuarios_2fa_inativos' ){
  /*
  $usuarios_2fa = [];
  foreach($resul_clubes as $c){
    if($c['status']==2 && $c['cancelado']==0 && $c['id_representante']!=3 && $c['redirecionar']==1 // nao japão, 2.0
      && !in_array($c['bd'],['pw_0sup_sistema', 'pw_0sup_pwcash', 'pw_0sup_pwclube', 'pw_0sup_pwevento', 'pw_0dev_clube', 'pw_0dev_evento'])){
      try {
        $bdclube = new ConeccaoClube($c['bd']);
        $bdclube->getConexao()->exec("set names utf8");

        $sql = $bdclube->getConexao()->prepare('
        select
          us.id,
          us.nome,
          us.2fa_ativo,
          us.login
        from usuarios us
        where us.login!="" and us.login is not null');
        $sql->bindValue(':clube_id', $c['id'], PDO::PARAM_STR);
        if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}
        foreach($resul as $u){
          $u['clube_id'] = $c['id'];
          $u['clube_nome'] = $c['nome'];
          $usuarios_2fa[] = $u;
        }
      }catch(Exception $e){}
    }
  }
  */
}

// Pesquisar ip em acesso e logs
if(isset($_POST['gerar']) && $_POST['gerar'] == 'ip_pesquisar' ){
  /*
  $regs = array();
  foreach($resul_clubes as $c){
    if(substr($c['bd'],0,3)=="pw_"){
      try {
        if($c['bd']!=""){
          $bdclube = new ConeccaoClube($c['bd']);

          $sql = $bdclube->getConexao()->prepare('SELECT * FROM configs_logs l WHERE l.ip LIKE "191.96.79%"');
          if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}
          if(count($resul)>0){
            $regs[$c['nome']] = $resul;
            break;
          }
        }
      }catch(Exception $e){}
    }
  }
  echoPre($regs);
  */
}

// GGPOKER
if(isset($_POST['gerar']) && $_POST['gerar'] == 'japao_moedas' ){
  /*
  $japao_moedas=[];

  foreach($resul_clubes as $c){
    try {
      $bdclube = new ConeccaoClube($c['bd']);
      $bdclube->getConexao()->exec("set names utf8");

      $sql = $bdclube->getConexao()->prepare('
        SELECT
          m.data_hora,
          m.valor,
          m.usuario as usuario_id,
          s.nome as usuario,
          s.nivel as nivel,
          c.nome as jogador,
          c.gameid as gameid
        FROM pw_0rep_japancenter.rep_moedas_virtuais m
          LEFT JOIN usuarios s ON s.id = m.usuario
          LEFT JOIN usuarios_permissoes p ON p.usuario_id = m.usuario
          LEFT JOIN pw_0rep_japancenter.clientes c ON c.id = m.destino_id
        WHERE m.data_hora > "2025-03-09 00:00:00" AND m.registro_tipo = 2 AND m.destino_tipo = 3 AND m.origem_tipo = 2 AND m.origem_id = :clube_id AND p.cliente_moeda_lancamento = 0
      ');
      $sql->bindValue(':clube_id', $c['id'], PDO::PARAM_STR);
      if($sql->execute()){$resul = $sql->fetchall(PDO::FETCH_ASSOC);}

      foreach($resul as $u){
        $u['clube_id'] = $c['id'];
        $u['clube_nome'] = $c['nome'];
        $japao_moedas[] = $u;
      }

    }catch(Exception $e){}
  }
  */
}





?>
    <!DOCTYPE html>
    <html lang="pt-br">
    <head>

      <?php include('fncr-geral/html-head.php');?>

        <style>
            input[type=checkbox] {
                visibility: hidden;
            }
        </style>

    </head>
    <body>

    <!-- BARRA SUPERIOR -->
    <?php include('barra-sup.php');?>
    <!-- MENU PRINCIPAL -->
    <?php include('menu.php');?>

    <section id="content">

        <div class="clearfix padder bg-fncr-clearfix">
            <h3 class="m-b">Funções para BigData</h3>
        </div>

        <section id="content" class="content-sidebar bg-white">
            <section class="main">

                <!-- MENSAGENS DE ALERTA -->
              <?php include('fncr-geral/mensagens.php');?>
                <br>
                <div class="col-sm-12">
                    <section class="panel">
                        <div class="table-responsive">
                            <table class="table table-striped b-t text-small" style="font-size: 11px">
                                <thead>
                                <tr>
                                    <th class="text-center" width="100">Ação</th>
                                    <th>Descrição</th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="jogadores_estatisticas" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Gerar Relatório</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Acesso de Jogadores</strong><br>
                                        Quantidade de logins criados, para acesso de jogadores
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="ev_impostos" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Gerar Relatório</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Registros de impostos (eventos)</strong><br>
                                        Quantidade de registros de impostos no módulo de eventos
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="jogador_localizar" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Localizar Jogador</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Localizar registros de jogador</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="total_jogs_torneios" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Jogadores Inscritos (torneios)</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Total de jogadores inscritos em torneios (por mês)</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="videos_intervalos" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Clubes com videos nos intervalos</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Realiza a consulta nos ultimos 10 registros de intervalos</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="clubes_com_eventos" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Clubes e Eventos</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Lista dos clubes na qual possui utilização do sistema de clubes e eventos</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="total_cartoes" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Total em Cartões</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Valor total em cartões (2023)</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="total_pix" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Total em pix</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Valor total em pix (2024 por clube e mes)</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="torneio_nome" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Nome de Torneio</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Localizar nome de torneio</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="torneios_fec_duplicados" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Torneios: fechamentos duplicados</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Localizar torneios que tiveram fechamentos duplicados</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="clubes_mensalidades" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Clubes: Mensalidades</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Lista de todos os clubes, com todas as mensalidades pagas e não pagas</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="clubes_ativos_atividades" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Clubes Japão: Atividades</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Lista clubes ativos e suas atividades no sistema</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="usuarios_2fa_inativos" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Usuários sem 2FA</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Listagem de usuários sem 2fa ativo</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="ip_pesquisar" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">pesquisar IP (acesso e logs)</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Listagem de usuários sem 2fa ativo</strong><br>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="text-info text-center">
                                        <form class="form-horizontal" method="post" action="" data-validate="parsley" enctype="multipart/form-data">
                                            <input type="hidden" name="gerar" value="japao_moedas" />
                                            <button type="submit" class="btn btn-inverse pull-left btn-xs">Japão moedas</button>
                                        </form>
                                    </td>
                                    <td>
                                        <strong>Japão Moedas</strong><br>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </section>
                </div>

              <?php if(isset($japao_moedas)){ ?>
                  <table>
                      <thead>
                      <tr>
                          <th class="text-center">clube</th>
                          <th class="text-center">data</th>
                          <th class="text-center">usuario</th>
                          <th class="text-center">nivel</th>
                          <th class="text-center">valor</th>
                          <th class="text-center">jogador</th>
                          <th class="text-center">gameid</th>
                      </tr>
                      </thead>
                      <tbody>
                      <?php foreach($japao_moedas as $r){ ?>
                          <tr>
                              <td><?php echo $r['clube_nome']?></td>
                              <td><?php echo $r['data_hora']?></td>
                              <td><?php echo $r['usuario']?></td>
                              <td><?php echo $r['nivel']?></td>
                              <td><?php echo $r['valor']?></td>
                              <td><?php echo $r['jogador']?></td>
                              <td><?php echo $r['gameid']?></td>
                          </tr>
                      <?php } ?>
                      </tbody>
                  </table>
              <?php } ?>

              <?php if(isset($regs)){ ?>
                  <table>
                      <thead>
                      <tr>
                          <th class="text-center" width="150">Clube</th>
                        <?php foreach($regs['Sistema Developer'] as $k=>$r){ ?>
                            <th><?php echo $k?></th>
                        <?php } ?>
                      </tr>
                      </thead>
                      <tbody>
                      <?php foreach($regs as $clube=>$r){ ?>
                          <tr>
                              <td><?php echo $clube?></td>
                            <?php foreach($r as $k=>$v){ ?>
                                <td><?php echo $v?></td>
                            <?php } ?>
                          </tr>
                      <?php } ?>
                      </tbody>
                  </table>
              <?php } ?>

              <?php if(isset($usuarios_2fa)){ ?>
                  <div class="col-lg-12">
                      <table>
                          <thead>
                          <tr>
                              <th class="text-center">Clube</th>
                              <th class="text-center">Usuário ID</th>
                              <th class="text-center">Usuário Nome</th>
                              <th class="text-center">Usuário Login</th>
                              <th class="text-center">Status 2FA</th>
                          </tr>
                          </thead>
                          <tbody>
                          <?php foreach($usuarios_2fa as $l){ ?>
                              <tr>
                                  <td><?php echo $l['clube_nome']?></td>
                                  <td><?php echo $l['id']?></td>
                                  <td><?php echo $l['nome']?></td>
                                  <td><?php echo $l['login']?></td>
                                  <td><?php echo $l['2fa_ativo']==1 ? "ATIVO" : "PENDENTE"?></td>
                              </tr>
                          <?php } ?>
                          </tbody>
                      </table>
                  </div>
              <?php } ?>

              <?php if(isset($regs_pix)){ ?>
                  <div class="col-lg-12">
                      <table id="table_registros" class="table table-striped b-t text-small" style="font-size: 11px">
                          <thead>
                          <tr>
                              <th class="text-center">Evento</th>
                              <th colspan='4' class="text-center">TOTAIS 2025</th>
                            <?php for($i=1;$i<=12;$i++){
                              echo "<th colspan='4' class='text-center'>$i/25</th>";
                            }?>
                          </tr>
                          <tr>
                            <th class="text-center">Qtd</th>
                            <th class="text-center">Valor</th>
                            <th class="text-center">Taxa</th>
                            <th class="text-center">SubTotal</th>
                            <?php for($i=1;$i<=12;$i++){ ?>
                              <th class="text-center">Qtd</th>
                              <th class="text-center">Valor</th>
                              <th class="text-center">Taxa</th>
                              <th class="text-center">SubTotal</th>
                            <?php }?>
                          </tr>
                          </thead>
                          <tbody>
                          <?php foreach($regs_pix['eventos'] as $l){ ?>
                              <tr>
                                  <td><?php echo $l['nome']?></td>
                                  <td><?php echo $l['totais']['qtd']?></td>
                                  <td><?php echo $l['totais']['valor']?></td>
                                  <td><?php echo $l['totais']['taxa']?></td>
                                  <td><?php echo $l['totais']['total']?></td>
                                <?php for($i=1;$i<=12;$i++){
                                  $mes = $i<10 ? '0'.$i : $i;
                                  $valores_mes = isset($l['meses']['2025-'.$mes]) ? $l['meses']['2025-'.$mes] : false;
                                  echo '<td>'.($valores_mes ? $valores_mes['qtd'] : '').'</td>';
                                  echo '<td>'.($valores_mes ? $valores_mes['valor'] : '').'</td>';
                                  echo '<td>'.($valores_mes ? $valores_mes['taxa'] : '').'</td>';
                                  echo '<td>'.($valores_mes ? $valores_mes['total'] : '').'</td>';
                                }?>
                              </tr>
                          <?php } ?>
                          </tbody>
                      </table>
                  </div>

                  <div class="col-lg-12">
                      <table id="table_registros" class="table table-striped b-t text-small" style="font-size: 11px">
                          <thead>
                          <tr>
                              <th rowspan="2" class="text-center">Clube</th>
                              <th rowspan="2" colspan='4' class="text-center">TOTAIS 2025</th>
                            <?php for($i=1;$i<=12;$i++){
                              echo "<th colspan='4' class='text-center'>$i/25</th>";
                            }?>
                          </tr>
                          <tr>
                              <th class="text-center">Qtd</th>
                              <th class="text-center">Valor</th>
                              <th class="text-center">Taxa</th>
                              <th class="text-center">SubTotal</th>
                            <?php for($i=1;$i<=12;$i++){ ?>
                              <th class="text-center">Qtd</th>
                              <th class="text-center">Valor</th>
                              <th class="text-center">Taxa</th>
                              <th class="text-center">SubTotal</th>
                            <?php }?>
                          </tr>
                          </thead>
                          <tbody>
                          <?php foreach($regs_pix['clubes'] as $l){ ?>
                              <tr>
                                  <td><?php echo $l['nome']?></td>
                                  <td><?php echo $l['totais']['qtd']?></td>
                                  <td><?php echo $l['totais']['valor']?></td>
                                  <td><?php echo $l['totais']['taxa']?></td>
                                  <td><?php echo $l['totais']['total']?></td>
                                <?php for($i=1;$i<=12;$i++){
                                  $mes = $i<10 ? '0'.$i : $i;
                                  $valores_mes = isset($l['meses']['2025-'.$mes]) ? $l['meses']['2025-'.$mes] : false;
                                  echo '<td>'.($valores_mes ? $valores_mes['qtd'] : '').'</td>';
                                  echo '<td>'.($valores_mes ? $valores_mes['valor'] : '').'</td>';
                                  echo '<td>'.($valores_mes ? $valores_mes['taxa'] : '').'</td>';
                                  echo '<td>'.($valores_mes ? $valores_mes['total'] : '').'</td>';
                                }?>
                              </tr>
                          <?php } ?>
                          </tbody>
                      </table>
                  </div>

              <?php } ?>


              <?php if(isset($clubes_ativos_atividades)){ ?>
                  <div class="col-lg-12">
                      <table>
                          <thead>
                          <tr>
                              <th class="text-center">id</th>
                              <th class="text-center">Clube</th>
                              <th class="text-center">data</th>
                              <th class="text-center">contato</th>
                              <th class="text-center">email</th>
                              <th class="text-center">cel</th>
                              <th class="text-center">torneios</th>
                              <th class="text-center">cash</th>
                              <th class="text-center">bar</th>
                              <th class="text-center">jogadores</th>
                              <th class="text-center">moedas_movim</th>
                              <th class="text-center">tickets_nacionais</th>
                          </tr>
                          </thead>
                          <tbody>
                          <?php foreach($clubes_ativos_atividades as $l){ ?>
                              <tr>
                                  <td><?php echo $l['clube_id']?></td>
                                  <td><?php echo $l['clube_nome']?></td>
                                  <td><?php echo $l['clube_data']?></td>
                                  <td><?php echo $l['clube_contato']?></td>
                                  <td><?php echo $l['clube_email']?></td>
                                  <td><?php echo $l['clube_cel']?></td>
                                  <td><?php echo $l['torneios']?></td>
                                  <td><?php echo $l['cash']?></td>
                                  <td><?php echo $l['bar']?></td>
                                  <td><?php echo $l['jogadores']?></td>
                                  <td><?php echo $l['moedas_movim']?></td>
                                  <td><?php echo $l['tickets_nacionais']?></td>
                              </tr>
                          <?php } ?>
                          </tbody>
                      </table>
                  </div>
              <?php } ?>


              <?php if(isset($clubes_mensalidades)){ ?>
                  <div class="col-sm-12">
                      <section class="panel">
                          <div class="table-responsive">
                              <table class="table table-striped b-t text-small" style="font-size: 11px">

                                <?php
                                echo "<tr><th>Nome do Clube</th><th>Total de Meses</th>";

                                // Cabeçalhos de meses/anos
                                for ($ano = 16; $ano <= 24; $ano++) {
                                  for ($mes = 1; $mes <= 12; $mes++) {
                                    echo "<th>" . str_pad($mes, 2, '0', STR_PAD_LEFT) . "/$ano</th>";
                                  }
                                }
                                echo "</tr>";

                                foreach ($clubes_mensalidades as $id => $dados) {
                                  echo "<tr><td>{$dados[0]['nome']}</td>";
                                  echo "<td>{$clubes_total[$id]}</td>";

                                  // Inicializa contadores para cada mês/ano
                                  $statusPorMesAno = array_fill(16, 9, array_fill(1, 12, '')); // Ajuste conforme necessário

                                  // Processa cada entrada do clube
                                  foreach($dados as $dado) {
                                    $statusPorMesAno[$dado['periodo_ano']][$dado['periodo_mes']] = $dado['status'];
                                  }

                                  // Exibe os dados na tabela
                                  for ($ano = 16; $ano <= 24; $ano++) {
                                    for ($mes = 1; $mes <= 12; $mes++) {
                                      echo "<td>" . $statusPorMesAno[$ano][$mes] . "</td>";
                                    }
                                  }

                                  echo "</tr>";
                                }
                                ?>
                                  <tr><td>teste</td></tr>
                              </table>
                          </div>
                      </section>
                  </div>
              <?php } ?>

            </section>
        </section>
    </section>

    <!-- FOOTER -->
    <?php include('footer.php');?>

    <!-- app -->
    <script src="js/app.js"></script>
    <script src="js/app.plugin.js"></script>
    <script src="js/app.data.js"></script>

    </body>
    </html>
<?php $bd = null; $bd_fn = null; $bd_fncr_big = null; $bdclubes = null;?>